| OpenCV 4.3.0 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
cv::detail::Blender Class Reference
Images stitching » Image Blenders

Base class for all blenders. More...

`#include <opencv2/stitching/detail/blenders.hpp>`

Inheritance diagram for cv::detail::Blender:

## Public Types
enum | { NO, FEATHER, MULTI_BAND }

## Public Member Functions
virtual | ~Blender ()
virtual void | blend (InputOutputArray dst, InputOutputArray dst_mask)
| Blends and returns the final pano. More...
virtual void | feed (InputArray img, InputArray mask, Point tl)
| Processes the image. More...
virtual void | prepare (const std::vector< Point > &corners, const std::vector< Size > &sizes)
| Prepares the blender for blending. More...
virtual void | prepare (Rect dst_roi)

## Static Public Member Functions
static Ptr< Blender > | createDefault (int type, bool try_gpu=false)

## Protected Attributes
UMat | dst_
UMat | dst_mask_
Rect | dst_roi_

## Detailed Description

Base class for all blenders.

Simple blender which puts one image over another

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
NO |
FEATHER |
MULTI_BAND |

## Constructor & Destructor Documentation

## ◆ ~Blender()

virtual cv::detail::Blender::~Blender | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ blend()

virtual void cv::detail::Blender::blend | ( | InputOutputArray | dst,
|  | InputOutputArray | dst_mask
| ) |  |
| virtual

Python:
| dst, dst_mask | = | cv.detail_Blender.blend( | dst, dst_mask | )

Blends and returns the final pano.

Parameters

  dst | Final pano
  dst_mask | Final pano mask

Reimplemented in cv::detail::MultiBandBlender, and cv::detail::FeatherBlender.

## ◆ createDefault()

static Ptr<Blender> cv::detail::Blender::createDefault | ( | int | type,
|  | bool | try_gpu = `false`
| ) |  |
| static

Python:
| retval | = | cv.detail.Blender_createDefault( | type[, try_gpu] | )

## ◆ feed()

virtual void cv::detail::Blender::feed | ( | InputArray | img,
|  | InputArray | mask,
|  | Point | tl
| ) |  |
| virtual

Python:
| None | = | cv.detail_Blender.feed( | img, mask, tl | )

Processes the image.

Parameters

  img | Source image
  mask | Source image mask
  tl | Source image top-left corners

Reimplemented in cv::detail::MultiBandBlender, and cv::detail::FeatherBlender.

## ◆ prepare() [1/2]

virtual void cv::detail::Blender::prepare | ( | const std::vector< Point > & | corners,
|  | const std::vector< Size > & | sizes
| ) |  |
| virtual

Python:
| None | = | cv.detail_Blender.prepare( | corners, sizes | )
| None | = | cv.detail_Blender.prepare( | dst_roi | )

Prepares the blender for blending.

Parameters

  corners | Source images top-left corners
  sizes | Source image sizes

## ◆ prepare() [2/2]

virtual void cv::detail::Blender::prepare | ( | Rect | dst_roi | ) |
| virtual

Python:
| None | = | cv.detail_Blender.prepare( | corners, sizes | )
| None | = | cv.detail_Blender.prepare( | dst_roi | )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Reimplemented in cv::detail::MultiBandBlender, and cv::detail::FeatherBlender.

## Member Data Documentation

## ◆ dst_

UMat cv::detail::Blender::dst_
| protected

## ◆ dst_mask_

UMat cv::detail::Blender::dst_mask_
| protected

## ◆ dst_roi_

Rect cv::detail::Blender::dst_roi_
| protected

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/blenders.hpp